import pytest


def pytest_addoption(parser):
    parser.addoption(
        "--fullpipeline",
        action="store_true",
        default=False,
        help="Use flag for ingestor full pipeline integration test to override eop:id with a custom one",
    )


@pytest.fixture
def fullpipeline(request):
    return request.config.getoption("--fullpipeline")

